# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.80"
name = "retrom-client"
version = "0.1.9"
authors = ["John Beresford <jberesford@volcaus.com>"]
build = "build.rs"
exclude = ["**/node_modules"]
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "The Retrom video game library client"
readme = "README.md"
license = "GPL-3.0"
repository = "https://github.com/JMBeresford/retrom"

[[bin]]
name = "Retrom"
path = "src/main.rs"

[dependencies.async-compression]
version = "0.4.11"
features = ["all"]

[dependencies.dotenvy]
version = "0.15.7"

[dependencies.futures]
version = "0.3.30"

[dependencies.openssl-sys]
version = "0.9.100"
features = ["vendored"]

[dependencies.pq-sys]
version = "0.6"
features = ["bundled"]

[dependencies.prost]
version = "0.12"

[dependencies.retrom-codegen]
version = "^0.1.9"

[dependencies.retrom-plugin-installer]
version = "^0.1.9"

[dependencies.retrom-plugin-launcher]
version = "^0.1.9"

[dependencies.serde]
version = "1.0.197"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.115"

[dependencies.tauri]
version = "2.0.0-rc.8"
features = ["tracing"]

[dependencies.tauri-plugin-dialog]
version = "2.0.0-rc"

[dependencies.tauri-plugin-fs]
version = "2.0.0-rc"

[dependencies.tauri-plugin-process]
version = "2.0.0-rc"

[dependencies.tauri-plugin-shell]
version = "2.0.0-rc"

[dependencies.tokio]
version = "1.37.0"
features = ["full"]

[dependencies.tokio-util]
version = "0.7.11"
features = [
    "io",
    "compat",
]

[dependencies.tonic]
version = "0.11"
features = [
    "tls",
    "tls-roots",
    "tls-webpki-roots",
]

[dependencies.tracing]
version = "0.1.40"

[dependencies.tracing-subscriber]
version = "0.3.18"
features = [
    "env-filter",
    "fmt",
    "json",
]

[build-dependencies.tauri-build]
version = "2.0.0-rc.7"
features = []

[features]
custom-protocol = ["tauri/custom-protocol"]

[target.'cfg(not(any(target_os = "android", target_os = "ios")))'.dependencies.tauri-plugin-single-instance]
version = "2.0.0-rc.0"

[target.'cfg(not(any(target_os = "android", target_os = "ios")))'.dependencies.tauri-plugin-updater]
version = "2.0.0-rc.2"
